%global pypi_name typing-inspect
%global pypi_srcname typing_inspect

Summary:        Runtime inspection utilities for typing module
Name:           python-%{pypi_name}
Version:        0.6.0
Release:        3%{?dist}

License:        MIT
URL:            https://github.com/ilevkivskyi/%{pypi_srcname}
Source0:        %{pypi_source %pypi_srcname}
BuildArch:      noarch

BuildRequires: python3-devel python3dist(mypy-extensions) >= 0.3.0 python3dist(setuptools) python3dist(typing-extensions) >= 3.7.4

Patch3000: typing-3_9.patch

%description
Typing Inspect The "%{pypi_srcname}" module defines experimental API for runtime
inspection of types defined in the standard "typing" module.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Requires:       python3dist(mypy-extensions) >= 0.3.0
Requires:       python3dist(typing-extensions) >= 3.7.4
Provides:       python3-%{pypi_name}

%description -n python3-%{pypi_name}
The "%{pypi_srcname}" module defines experimental API for runtime
inspection of types defined in the standard "typing" module.


%prep
%autosetup -n %{pypi_srcname}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/__pycache__/%{pypi_srcname}.*.pyc
%{python3_sitelib}/%{pypi_srcname}.py
%{python3_sitelib}/%{pypi_srcname}-%{version}-py*.egg-info

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.0-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.0-2
- Rebuilt for loongarch release

* Tue Sep 26 2023 cunshunxia <cunshunxia@tencent.com> - 0.6.0-1
- initial build
